# $Revision: 1.59 $, $Date: 2011/11/28 09:20:07 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIME
%define		pnam	tools
Summary:	MIME::tools - modules for parsing (and creating!) MIME entities
Summary(pl.UTF-8):	MIME::tools - zestaw modułów do operacji na danych w formacie MIME
Name:		perl-MIME-tools
Version:	5.502
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6a87adda74867e3f8868a0599137bde0
URL:		http://search.cpan.org/dist/MIME-tools/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl(File::Path) >= 1
BuildRequires:	perl(File::Spec) >= 0.6
BuildRequires:	perl-File-Temp >= 0.18
BuildRequires:	perl-IO-stringy >= 2.110
BuildRequires:	perl-MIME-Base64 >= 2.20
BuildRequires:	perl-MailTools >= 1.05
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional
%define		_noautoreq	'perl(Convert::BinHex)'

%description
MIME-tools is a collection of Perl5 MIME:: modules for parsing,
decoding and generating single- or multipart (even nested multipart)
MIME messages. (Yes, kids, that means you can send messages with
attached GIF files).

%description -l pl.UTF-8
MIME::tools to zestaw modułów MIME:: dla Perla 5 do analizy,
dekodowania oraz tworzenia jedno- i wieloczęściowych (a nawet
zagnieżdżonych wieloczęściowych) wiadomości MIME (tak, to znaczy, że
można wysyłać wiadomości z dołączonymi plikami GIF).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/MIME-tools/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%{perl_vendorlib}/MIME/*.pm
%{perl_vendorlib}/MIME/Parser
%{perl_vendorlib}/MIME/Decoder
%{perl_vendorlib}/MIME/Field
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MIME-tools.spec,v $
Revision 1.59  2011/11/28 09:20:07  arekm
- up to 5.502

Revision 1.58  2009/11/22 21:11:01  aredridel
- up BR: perl-IO-stringy to 2.110

Revision 1.57  2008/12/15 20:01:24  qboosh
- sorted

Revision 1.56  2008/12/13 22:44:23  agaran
- missing BR added

Revision 1.55  2008/12/01 14:00:07  arekm
- up to 5.427

Revision 1.54  2008-04-05 18:49:26  qboosh
- generic URL

Revision 1.53  2008-04-02 09:11:05  arekm
- up to 5.426

Revision 1.52  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.51  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.50  2006/04/25 08:36:10  glen
- 5.420

Revision 1.49  2005/05/30 12:44:37  qboosh
- updated to 5.417

Revision 1.48  2005/01/07 10:20:13  qboosh
- release 2

Revision 1.47  2005/01/05 22:09:25  qboosh
- informational summaries/descriptions
- noautoreq for Convert::BinHex (optional, even unpackaged - hint, hint)

Revision 1.46  2005/01/05 12:36:41  adamg
- updated to 5.416

Revision 1.45  2004/11/03 22:30:31  paladine
- formatting

Revision 1.44  2004/05/07 00:28:28  ankry
- rel. 10

Revision 1.43  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.42  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.41  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.40  2004/04/20 23:59:33  ankry
- ported to new bconds

Revision 1.39  2004/02/18 15:51:29  qboosh
- s/no/nb/ in Summary langs

Revision 1.38  2003/12/11 19:36:57  undefine
- release 9 to rebuild with ac

Revision 1.37  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.36  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.35  2003/05/28 13:00:47  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 06:24:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.32  2003/03/01 20:20:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.31  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.30  2003/02/18 15:35:55  ankry
- massive attack: change CPAN URLs

Revision 1.29  2002/09/27 14:27:33  ankry
- BRs on bcond

Revision 1.27  2002/07/20 15:39:39  kloczek
- release 6.

Revision 1.26  2002/07/20 10:21:11  qboosh
- new %doc, added versions to BRs

Revision 1.25  2002/07/10 08:47:56  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/02/25 10:33:05  depesz
- cleanup; revision++

Revision 1.22  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/13 14:18:45  depesz
- automatic: Source location unified, Relase Up

Revision 1.20  2002/02/10 15:28:56  depesz
- adapterized

Revision 1.19  2002/01/18 02:14:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.17  2001/10/06 06:01:22  kloczek
- release 2: rebuilt.

Revision 1.16  2001/06/06 16:33:40  mis
- autoupdated to 5.411

Revision 1.15  2001/04/17 12:12:08  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/02/19 09:49:26  depesz
- new version

Revision 1.12  2001/01/11 02:00:52  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.11  2000/12/05 11:15:17  yaro
- added MIME/Parser directory

Revision 1.10  2000/11/29 16:43:45  wiget
- 5.408

Revision 1.9  2000/08/23 01:44:48  kloczek
- updated to 5.311.

Revision 1.8  2000/06/09 07:54:54  kloczek
- more %{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.3  2000/02/19 22:55:49  pius
- updated to 4.124

Revision 1.2  1999/11/05 21:11:56  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
